'''
Created on 13/mar/2012

@author: mario
'''

import gtk

class ProgressDialog(gtk.Dialog):
    '''
    classdocs
    '''

    def responseCB(self,widget,response,*args):
        #------- needed to prevent closing if user press [x] in the window frame
        # see pyGTK FAQ 10.13 (http://faq.pygtk.org/index.py?req=show&file=faq10.013.htp)
        if response == gtk.RESPONSE_CANCEL:
            #--------------- prevent closing if response is not from [OK] button
            self.hide()


    def __init__(self,title="Progress", parent=None, flags=0, 
                 buttons=(gtk.STOCK_CANCEL,gtk.RESPONSE_CANCEL),text=''):
        '''
        Constructor
        '''
        super(ProgressDialog, self).__init__(title=title, parent=parent,flags=flags,buttons=buttons)
        
        self.vBox = self.get_content_area()
        self.progressBar = gtk.ProgressBar()
        self.progressBar.set_size_request(300,-1)
        self.progressBar.set_text(text)
        self.progressBar.set_orientation(gtk.PROGRESS_LEFT_TO_RIGHT)
        
        self.vBox.pack_start(self.progressBar,False)
        self.vBox.show_all()
        self.connect('response',self.responseCB)


