'''
Created on 12/set/2011

@author: mario
'''

import gtk


class UpdateBLColors():
    '''
    classdocs
    '''


    def __init__(self,blxml,colorlist,catalog,sbwidget,context):
        '''
        Constructor
        '''
        self.blxml = blxml
        self.colorlist = colorlist
        self.catalog = catalog
        self.statusBar = sbwidget
        self.sbContext = context

        self.catalog.cleanBLColorTable()
        
        i = 0

        for part in self.colorlist:
            try: colorId = part.getElementsByTagName("COLOR")[0].firstChild.data
            except AttributeError: colorId = None
            
            try: colorName = part.getElementsByTagName("COLORNAME")[0].firstChild.data
            except AttributeError: colorName = None 
            
            try: rgb = part.getElementsByTagName("COLORRGB")[0].firstChild.data
            except AttributeError: rgb = None
            if rgb != None:
                rgb = '000000' + rgb
                rgb = '#' + rgb[-6:]
            
            try: colorType = part.getElementsByTagName("COLORTYPE")[0].firstChild.data
            except AttributeError: colorType = None
            
            try: fromYear = part.getElementsByTagName("COLORYEARFROM")[0].firstChild.data
            except AttributeError: fromYear = None
            
            try: toYear = part.getElementsByTagName("COLORYEARTO")[0].firstChild.data
            except AttributeError: toYear = None
            
            self.catalog.insertBLColor(colorId,colorName,rgb,colorType,fromYear,toYear)
            
            i+=1
            if (i % 10) == 0:
                if gtk.events_pending():
                    gtk.main_iteration(block=False)                
                self.statusBar.pop(self.sbContext)
                self.statusBar.push(self.sbContext,'Reading colors: '+str(i))
                
        self.statusBar.pop(self.sbContext)
        self.statusBar.push(self.sbContext,'Finished, colors in database: '+str(i))
        self.catalog.commit()
        
                