#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''
   - 
  Copyright (C) 2011 Mario Pascucci http://bricksnspace.wordpress.com/ <mpascucci gmail com>
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  or
  visit the URL http://www.fsf.org/

'''

Name = 'BrickUtils'
SWMilestone = 0
SWMajor = 1
SWMinor = 6
SWPatchLevel = 1
Version = str(SWMilestone) + '.' + str(SWMajor) + '.' + str(SWMinor) + '.' + str(SWPatchLevel)

Author = 'Mario Pascucci'
Email = 'mpascucci@gmail.com'
WebURL = 'http://bricksnspace.wordpress.com/brickutils/'
WebName = "Bricks'n'Space"
Copyright = '© Mario Pascucci'
License = 'GNU GPL v3'
Icon = 'BrickUtils.ico'
Logo = 'BrickUtils.ico'
Brief = 'Utility for building models with LEGO(R)'
Descr = '''
BrickUtils is a simple utility for builders that use CAD for designing models, such as LEGO(R) Digital Designer or MLCAD.
The main problem that BrickUtils tries to solve is the answer at the question: can I build this model with bricks I own?

So, with BrickUtils you can quickly build your brick catalog and check if you can build a model, but you can maintain your brick collection, buy bricks on BrickLink and much more.  
Please check manuals for complete feature list.
'''

